*** a/src/backend/access/heap/pruneheap.c
--- b/src/backend/access/heap/pruneheap.c
***************
*** 257,264 **** heap_page_prune(Relation relation, Buffer buffer, TransactionId OldestXmin,
  		 * point in repeating the prune/defrag process until something else
  		 * happens to the page.
  		 */
! 		if (((PageHeader) page)->pd_prune_xid != prstate.new_prune_xid ||
! 			PageIsFull(page))
  		{
  			((PageHeader) page)->pd_prune_xid = prstate.new_prune_xid;
  			PageClearFull(page);
--- 257,264 ----
  		 * point in repeating the prune/defrag process until something else
  		 * happens to the page.
  		 */
! 		if (false && (((PageHeader) page)->pd_prune_xid != prstate.new_prune_xid ||
! 					  PageIsFull(page)))
  		{
  			((PageHeader) page)->pd_prune_xid = prstate.new_prune_xid;
  			PageClearFull(page);
*** a/src/backend/commands/vacuumlazy.c
--- b/src/backend/commands/vacuumlazy.c
***************
*** 668,674 **** lazy_scan_heap(Relation onerel, LVRelStats *vacrelstats,
  			freespace = PageGetHeapFreeSpace(page);
  
  			/* empty pages are always all-visible */
! 			if (!PageIsAllVisible(page))
  			{
  				PageSetAllVisible(page);
  				MarkBufferDirty(buf);
--- 668,674 ----
  			freespace = PageGetHeapFreeSpace(page);
  
  			/* empty pages are always all-visible */
! 			if (false && !PageIsAllVisible(page))
  			{
  				PageSetAllVisible(page);
  				MarkBufferDirty(buf);
***************
*** 901,907 **** lazy_scan_heap(Relation onerel, LVRelStats *vacrelstats,
  		freespace = PageGetHeapFreeSpace(page);
  
  		/* mark page all-visible, if appropriate */
! 		if (all_visible)
  		{
  			if (!PageIsAllVisible(page))
  			{
--- 901,907 ----
  		freespace = PageGetHeapFreeSpace(page);
  
  		/* mark page all-visible, if appropriate */
! 		if (false && all_visible)
  		{
  			if (!PageIsAllVisible(page))
  			{
***************
*** 1149,1155 **** lazy_vacuum_page(Relation onerel, BlockNumber blkno, Buffer buffer,
  	 * Now that we have removed the dead tuples from the page, once again check
  	 * if the page has become all-visible.
  	 */
! 	if (!visibilitymap_test(onerel, blkno, vmbuffer) &&
  		heap_page_is_all_visible(buffer, &visibility_cutoff_xid))
  	{
  		Assert(BufferIsValid(*vmbuffer));
--- 1149,1155 ----
  	 * Now that we have removed the dead tuples from the page, once again check
  	 * if the page has become all-visible.
  	 */
! 	if (false && !visibilitymap_test(onerel, blkno, vmbuffer) &&
  		heap_page_is_all_visible(buffer, &visibility_cutoff_xid))
  	{
  		Assert(BufferIsValid(*vmbuffer));
*** a/src/backend/utils/time/tqual.c
--- b/src/backend/utils/time/tqual.c
***************
*** 111,116 **** static inline void
--- 111,118 ----
  SetHintBits(HeapTupleHeader tuple, Buffer buffer,
  			uint16 infomask, TransactionId xid)
  {
+ 	return;
+ 
  	if (TransactionIdIsValid(xid))
  	{
  		/* NB: xid must be known committed here! */
